Opened 6 years ago

Closed 6 years ago

#252 closed enhancement (invalid)

x264 should be a package dependency?

Reported by: fgnievinski Owned by:
Priority: minor Milestone:
Component: Server Keywords:
Cc:

Description (last modified by Antoine Martin)

I installed as per instructions in:

http://winswitch.org/downloads/debian-repository.html?dist_select=raring

later I found it necessary to do:

  sudo apt-get install x264

therefore, maybe x264 should become a dependency?

I'm using Ubuntu 13 LTS.

Change History (1)

comment:1 Changed 6 years ago by Antoine Martin

Description: modified (diff)
Resolution: invalid
Status: newclosed

x264 is not a hard dependency for xpra (though it is the best free encoding by a long way).
Problem is that Debian / Ubuntu make if very hard to depend on that package as the package name itself is versionned (makes packaging painful):

But I'll see what I can do.
FYI: this is the bug tracker for winswitch, xpra's is here (closing here)

Note: See TracTickets for help on using tickets.